IOSS 2.0

Static Public Attributes | List of all members
anonymous_namespace{Ioss_Tet10.C}::Constants Struct Reference

## Static Public Attributes
static const int | nnode = 10
static const int | nedge = 6
static const int | nedgenode = 3
static const int | nface = 4
static const int | nfacenode = 6
static const int | nfaceedge = 3
static int | edge_node_order [nedge][nedgenode]
static int | face_node_order [nface][nfacenode]
static int | face_edge_order [nface][nfaceedge]
static int | nodes_per_face [nface+1] = {6, 6, 6, 6, 6}
static int | edges_per_face [nface+1] = {3, 3, 3, 3, 3}

## Member Data Documentation

## ◆ edge_node_order

int anonymous_namespace{Ioss_Tet10.C}::Constants::edge_node_order
| static

Initial value:
=
{{0, 1, 4}, {1, 2, 5}, {2, 0, 6}, {0, 3, 7}, {1, 3, 8}, {2, 3, 9}}

## ◆ edges_per_face

int anonymous_namespace{Ioss_Tet10.C}::Constants::edges_per_face = {3, 3, 3, 3, 3}
| static

## ◆ face_edge_order

int anonymous_namespace{Ioss_Tet10.C}::Constants::face_edge_order
| static

Initial value:
=
{{0, 4, 3}, {1, 5, 4}, {3, 5, 2}, {2, 1, 0}}

## ◆ face_node_order

int anonymous_namespace{Ioss_Tet10.C}::Constants::face_node_order
| static

Initial value:
=
{{0, 1, 3, 4, 8, 7}, {1, 2, 3, 5, 9, 8}, {0, 3, 2, 7, 9, 6}, {0, 2, 1, 6, 5, 4}}

## ◆ nedge

const int anonymous_namespace{Ioss_Tet10.C}::Constants::nedge = 6
| static

## ◆ nedgenode

const int anonymous_namespace{Ioss_Tet10.C}::Constants::nedgenode = 3
| static

## ◆ nface

const int anonymous_namespace{Ioss_Tet10.C}::Constants::nface = 4
| static

## ◆ nfaceedge

const int anonymous_namespace{Ioss_Tet10.C}::Constants::nfaceedge = 3
| static

## ◆ nfacenode

const int anonymous_namespace{Ioss_Tet10.C}::Constants::nfacenode = 6
| static

## ◆ nnode

const int anonymous_namespace{Ioss_Tet10.C}::Constants::nnode = 10
| static

## ◆ nodes_per_face

int anonymous_namespace{Ioss_Tet10.C}::Constants::nodes_per_face = {6, 6, 6, 6, 6}
| static

The documentation for this struct was generated from the following file:

- src/Ioss_Tet10.C